package uz.ssd.mobiuz

import android.os.Bundle
import android.view.View
import androidx.fragment.app.viewModels
import androidx.navigation.NavController
import androidx.navigation.fragment.NavHostFragment
import dagger.hilt.android.AndroidEntryPoint
import uz.ssd.mobiuz.databinding.FragmentPinLockBinding
import uz.ssd.mobiuz.model.SharedPref
import uz.ssd.mobiuz.ui.auth.AuthViewModel
import uz.ssd.mobiuz.ui.base.BaseFragment
import javax.inject.Inject

@AndroidEntryPoint
class PinLockFragment : BaseFragment(R.layout.fragment_pin_lock) {

    @Inject
    lateinit var pref: SharedPref

    private var _bn: FragmentPinLockBinding? = null
    private val bn get() = _bn ?: throw NullPointerException("cannot inflate")
    private val viewModel: AuthViewModel by viewModels()
    private val navController: NavController by lazy(LazyThreadSafetyMode.NONE) { NavHostFragment.findNavController(this) }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        _bn = FragmentPinLockBinding.bind(view)

        //200281 svet h shuhrat 50
//        0700268 100 gaz shuhrat

        setUpUI()
        collects()
    }

    override fun setUpUI() {

    }

    override fun collects() {

    }

    override fun onDestroy() {
        _bn = null
        super.onDestroy()
    }
}